
package net.technisys.cmm.services.processuserloginbackoffice.rq.v1;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the net.technisys.cmm.services.processuserloginbackoffice.rq.v1 package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _ProcessUserLoginBackofficeRequest_QNAME = new QName("http://www.technisys.net/cmm/services/processUserLoginBackoffice/rq/v1.0", "processUserLoginBackofficeRequest");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: net.technisys.cmm.services.processuserloginbackoffice.rq.v1
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link Branch }
     * 
     */
    public Branch createBranch() {
        return new Branch();
    }

    /**
     * Create an instance of {@link SystemUser }
     * 
     */
    public SystemUser createSystemUser() {
        return new SystemUser();
    }

    /**
     * Create an instance of {@link Institution }
     * 
     */
    public Institution createInstitution() {
        return new Institution();
    }

    /**
     * Create an instance of {@link ProcessUserLoginBackofficeRequest }
     * 
     */
    public ProcessUserLoginBackofficeRequest createProcessUserLoginBackofficeRequest() {
        return new ProcessUserLoginBackofficeRequest();
    }

    /**
     * Create an instance of {@link Channel }
     * 
     */
    public Channel createChannel() {
        return new Channel();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ProcessUserLoginBackofficeRequest }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.technisys.net/cmm/services/processUserLoginBackoffice/rq/v1.0", name = "processUserLoginBackofficeRequest")
    public JAXBElement<ProcessUserLoginBackofficeRequest> createProcessUserLoginBackofficeRequest(ProcessUserLoginBackofficeRequest value) {
        return new JAXBElement<ProcessUserLoginBackofficeRequest>(_ProcessUserLoginBackofficeRequest_QNAME, ProcessUserLoginBackofficeRequest.class, null, value);
    }

}
